Bug 1259194 - NameError: name 'self' is not defined
NameError: name 'self' is not defined
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
:
: 1259672 1260232 1260316 1260359 1261685 1262524 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 03:34 EDT by Alexander Todorov
Modified: 2015-09-23 00:12 EDT (History)
22 users (show)

See Also:
Fixed In Version: 1.1.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-09 19:19:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2015-09-02 03:34:23 EDT
Description of problem:


# dnf install libreport* abrt*
Last metadata expiration check performed 0:05:28 ago on Wed Sep  2 03:27:19 2015.
Package libreport-cli-2.6.2-4.fc24.x86_64 is already installed, skipping.
Package libreport-gtk-2.6.2-4.fc24.x86_64 is already installed, skipping.
Package libreport-plugin-bugzilla-2.6.2-4.fc24.x86_64 is already installed, skipping.
Package libreport-plugin-reportuploader-2.6.2-4.fc24.x86_64 is already installed, skipping.
Package libreport-anaconda-2.6.2-4.fc24.x86_64 is already installed, skipping.
Package libreport-filesystem-2.6.2-4.fc24.x86_64 is already installed, skipping.
Package libreport-2.6.2-4.fc24.x86_64 is already installed, skipping.
Package libreport-python3-2.6.2-4.fc24.x86_64 is already installed, skipping.
Package libreport-web-2.6.2-4.fc24.x86_64 is already installed, skipping.
Package abrt-gui-libs-2.6.2-7.fc24.x86_64 is already installed, skipping.
Package abrt-libs-2.6.2-7.fc24.x86_64 is already installed, skipping.
Error: package abrt-atomic-2.6.2-7.fc24.x86_64 conflicts with abrt-addon-ccpp provided by abrt-addon-ccpp-2.6.2-7.fc24.x86_64
Traceback (most recent call last):
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 148, in _main
    ret = resolving(cli, base)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 160, in resolving
    base.resolve(cli.demands.allow_erasing)
  File "/usr/lib/python3.4/site-packages/dnf/base.py", line 535, in resolve
    raise exc
dnf.exceptions.DepsolveError: package abrt-atomic-2.6.2-7.fc24.x86_64 conflicts with abrt-addon-ccpp provided by abrt-addon-ccpp-2.6.2-7.fc24.x86_64

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnf", line 35, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 195, in user_main
    errcode = main(args)
  File "/usr/lib/python3.4/site-packages/dnf/cli/main.py", line 94, in main
    demands = self.cli.demands
NameError: name 'self' is not defined

# rpm -q dnf
dnf-1.1.1-1.fc24.noarch
Comment 1 Radek Holy 2015-09-04 09:59:07 EDT
*** Bug 1259672 has been marked as a duplicate of this bug. ***
Comment 2 Ömer Fadıl Usta 2015-09-05 19:44:37 EDT
This caused because of this commit : 
https://github.com/rpm-software-management/dnf/commit/7394b34937a9bf41244ce09b4d28517170da2f2a
Comment 3 Parag Nemade 2015-09-06 10:15:57 EDT
*** Bug 1260316 has been marked as a duplicate of this bug. ***
Comment 4 Parag Nemade 2015-09-06 10:17:05 EDT
*** Bug 1260359 has been marked as a duplicate of this bug. ***
Comment 5 Michal Luscon 2015-09-07 08:12:30 EDT
*** Bug 1260232 has been marked as a duplicate of this bug. ***
Comment 6 Radek Holy 2015-09-07 08:12:59 EDT
*** Bug 1260215 has been marked as a duplicate of this bug. ***
Comment 7 Heiko Adams 2015-09-07 13:24:29 EDT
Another user experienced a similar problem:

Tried to install gstreamer1-plugins-bad-freeworld from rpmFusion repository

reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 -OO /bin/dnf install gstreamer1-plugins-bad-freeworld
event_log:      2015-09-07-19:23:46> (»report_uReport« erfolgreich abgeschlossen)
executable:     /bin/dnf
kernel:         4.2.0-1.fc23.x86_64
package:        dnf-1.1.1-1.fc23
reason:         main.py:94:main:NameError: name 'self' is not defined
runlevel:       N 5
type:           Python3
uid:            0
Comment 8 Vojtech Trefny 2015-09-08 05:44:56 EDT
Another user experienced a similar problem:

Tried to install local package with unresolved dependecies.

-------------
$ sudo dnf install ./initial-setup-gui-0.3.36-1.fc23.x86_64.rpm 
[sudo] heslo pro vtrefny: 
Fedora 23 - x86_64                               66 MB/s |  43 MB     00:00    
Fedora 23 - x86_64 - Test Updates                63 MB/s |  12 MB     00:00    
Last metadata expiration check performed 0:00:05 ago on Tue Sep  8 11:40:47 2015.
Error: nothing provides initial-setup = 0.3.36-1.fc23 needed by initial-setup-gui-0.3.36-1.fc23.x86_64
Traceback (most recent call last):
...
-------------

reporter:       libreport-2.6.2
cmdline:        /usr/bin/python3 -OO /bin/dnf install ./initial-setup-gui-0.3.36-1.fc23.x86_64.rpm
event_log:      2015-09-08-11:41:52> ('report_uReport' completed successfully)
executable:     /bin/dnf
kernel:         4.2.0-1.fc23.x86_64
package:        dnf-1.1.1-1.fc23
reason:         main.py:94:main:NameError: name 'self' is not defined
runlevel:       N 5
type:           Python3
uid:            0
Comment 10 Fedora Update System 2015-09-08 08:38:26 EDT
dnf-1.1.1-2.fc22 dnf-plugins-core-0.1.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 11 Fedora Update System 2015-09-08 08:38:49 EDT
dnf-1.1.1-2.fc22 dnf-plugins-core-0.1.11-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 12 Fedora Update System 2015-09-08 08:39:50 EDT
dnf-1.1.1-2.fc23 dnf-plugins-core-0.1.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 13 Fedora Update System 2015-09-08 08:40:16 EDT
dnf-1.1.1-2.fc23 dnf-plugins-core-0.1.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 14 Fedora Update System 2015-09-08 13:52:10 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf dnf-plugins-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 15 Fedora Update System 2015-09-08 17:26:03 EDT
dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf-plugins-core dnf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14744
Comment 16 Fedora Update System 2015-09-09 19:18:56 EDT
dnf-1.1.1-2.fc22, dnf-plugins-core-0.1.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Michal Luscon 2015-09-10 06:31:25 EDT
*** Bug 1261685 has been marked as a duplicate of this bug. ***
Comment 18 Michal Luscon 2015-09-14 08:04:07 EDT
*** Bug 1262524 has been marked as a duplicate of this bug. ***
Comment 19 Fedora Update System 2015-09-23 00:12:12 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.